%%------------------------------------------------------------------------------
%% @Module  : title
%% @Author  : xiaoxiang
%% @Created : 2016.10.22
%% @Description: 头衔定义
%%------------------------------------------------------------------------------

-define(TITLE_LIMIT_LV, 13).

-record(title, {
				title_id = 0,				%%头衔序号
				title_color = 0,			%%头衔颜色,1-6分别对应白绿蓝紫粉橙
				require_combat = 0,			%%晋升所需战力
				require_goods = [],			%%晋升消耗物品和数量,[物品ID，物品数量]
				get_combat = 0,				%%晋升获得战力
				get_attribute = [],			%%晋升获得属性,[{属性类型，属性值}，{属性类型，属性值}]
				start_server = 0,
                icon_name = "",
                name = ""
                }).

-define(sql_get_title, <<"select id, title_id from title where id = ~w">>).
-define(sql_insert_title, <<"insert into title set id = ~w, title_id = ~w">>).
-define(sql_update_title, <<"replace into title (id, title_id)  values(~w, ~w) ">>).

-record(status_title, {
 						id = 0,
 						title_combat = 0,
 						title_attr = maps:new()
 						}).
